/*
 * Copyright 2011 sesidoro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ssg.tools.jsonxml.validators.json;

/**
 * Implementation of schema specification at http://tools.ietf.org/html/draft-zyp-json-schema-03
 * 
 * @author ssg
 */
public class JSONSchema {
    static String[] type_names = {"string", "number", "integer", "boolean", "object", "array", "null", "any"};
    static String[] format_names = {"date-time", "date", "time", "utc-millisec", "regex", "color", "ip-address", "ipv6", "host-name", "other"};
    static String[] rel_types = {"self", "full", "describedBy", "root", "instance", "create"};

    class object {
        type type;
        properties properties;
        patternProperties patternProperties;
        additionalProperties additionalPropertiers;
        items items;
        additionalItems additionalItems;
        required required;
        dependencies dependencies;
        minimum minimum;
        maximum maximum;
        exclusiveMinimum exclusiveMinimum;
        exclusiveMaximum exclusiveMaximum;
        minItems minItems;
        maxItems maxItems;
        uniqueItems uniqueItems;
        pattern pattern;
        minLength minLength;
        maxLength maxLength;
        Enum Enum;
        Default Default;
        title title;
        description description;
        format format;
        divisibleBy divisibleBy;
        disallow disallow;
        Extends Extends;
        id id;
        $ref $ref;
        $schema $schema;
    }
    
    
    
    class type {
    }

    class properties extends object {
    }

    class patternProperties {
    }

    class additionalProperties {
    }

    class items {
    }

    class additionalItems {
    }

    class required {
    }

    class dependencies {
    }

    class minimum {
    }

    class maximum {
    }

    class exclusiveMinimum {
    }

    class exclusiveMaximum {
    }

    class minItems {
    }

    class maxItems {
    }

    class uniqueItems {
    }

    class pattern {
    }
    
    class minLength {
        
    }
    class maxLength {
        
    }

    class Enum {
    }

    class Default {
    }

    class title {
    }

    class description {
    }

    class format {
    }

    class divisibleBy {
    }

    class disallow {
    }

    class Extends {
    }

    class id {
    }

    class $ref {
    }

    class $schema {
    }
    ////////////////////////// hyper schema

    class links {

        class href {
        }

        class rel {
        }

        class targetSchema {
        }

        class method {
        }

        class enctype {
        }

        class schema {
        }
    }

    class fragmentResolution {
    }

    class readonly {
    }

    class contentEncoding {
    }

    class pathStart {
    }

    class mediaType {
    }
    
    
}
